Index: trunk/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- trunk/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 7698)
+++ trunk/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 7753)
@@ -155,11 +155,6 @@
       IF( ierr /= 0 )   CALL ctl_stop( 'STOP', 'ldf_dyn_init: failed to allocate arrays')
       !
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
-      DO jj = 1, jpj
-         DO ji = 1, jpi
-            ahmt(ji,jj,jpk) = 0._wp                           ! last level always 0  
-            ahmf(ji,jj,jpk) = 0._wp
-         END DO
-      END DO
+      ahmt(:,:,jpk) = 0._wp                           ! last level always 0  
+      ahmf(:,:,jpk) = 0._wp
       !
       !                                               ! value of eddy mixing coef.
@@ -178,23 +173,11 @@
          CASE(   0  )      !==  constant  ==!
             IF(lwp) WRITE(numout,*) '          momentum mixing coef. = constant '
-!$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-            DO jk = 1, jpk
-               DO jj = 1, jpj
-                  DO ji = 1, jpi
-                     ahmt(ji,jj,jk) = zah0 * tmask(ji,jj,jk)
-                     ahmf(ji,jj,jk) = zah0 * fmask(ji,jj,jk)
-                  END DO
-               END DO
-            END DO
+            ahmt(:,:,:) = zah0 * tmask(:,:,:)
+            ahmf(:,:,:) = zah0 * fmask(:,:,:)
             !
          CASE(  10  )      !==  fixed profile  ==!
             IF(lwp) WRITE(numout,*) '          momentum mixing coef. = F( depth )'
-!$OMP PARALLEL DO schedule(static) private(jj, ji)
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ahmt(ji,jj,1) = zah0 * tmask(ji,jj,1)            ! constant surface value
-                  ahmf(ji,jj,1) = zah0 * fmask(ji,jj,1)
-               END DO
-            END DO
+            ahmt(:,:,1) = zah0 * tmask(:,:,1)                      ! constant surface value
+            ahmf(:,:,1) = zah0 * fmask(:,:,1)
             CALL ldf_c1d( 'DYN', r1_4, ahmt(:,:,1), ahmf(:,:,1), ahmt, ahmf )
             !
@@ -208,12 +191,7 @@
 !!              do we introduce a scaling by the max value of the array, and then multiply by zah0 ????
 !!              better:  check that the max is <=1  i.e. it is a shape from 0 to 1, not a coef that has physical dimension
-!$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
             DO jk = 2, jpkm1
-               DO jj = 1, jpj
-                  DO ji = 1, jpi
-                     ahmt(ji,jj,jk) = ahmt(ji,jj,1) * tmask(ji,jj,jk)
-                     ahmf(ji,jj,jk) = ahmf(ji,jj,1) * fmask(ji,jj,jk)
-                  END DO
-               END DO
+               ahmt(:,:,jk) = ahmt(:,:,1) * tmask(:,:,jk)
+               ahmf(:,:,jk) = ahmf(:,:,1) * fmask(:,:,jk)
             END DO
             !
@@ -231,12 +209,7 @@
 !!gm Question : info for LAP or BLP case  to take into account the SQRT in the bilaplacian case ????
 !!              do we introduce a scaling by the max value of the array, and then multiply by zah0 ????
-!$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
             DO jk = 1, jpkm1
-               DO jj = 1, jpj
-                  DO ji = 1, jpi
-                     ahmt(ji,jj,jk) = ahmt(ji,jj,jk) * tmask(ji,jj,jk)
-                     ahmf(ji,jj,jk) = ahmf(ji,jj,jk) * fmask(ji,jj,jk)
-                  END DO
-               END DO
+               ahmt(:,:,jk) = ahmt(:,:,jk) * tmask(:,:,jk)
+               ahmf(:,:,jk) = ahmf(:,:,jk) * fmask(:,:,jk)
             END DO
             !
@@ -266,5 +239,4 @@
             !
             ! Set local gridscale values
-!$OMP PARALLEL DO schedule(static) private(jj,ji)
             DO jj = 2, jpjm1
                DO ji = fs_2, fs_jpim1
@@ -279,13 +251,6 @@
          !
          IF( ln_dynldf_blp .AND. .NOT. l_ldfdyn_time ) THEN       ! bilapcian and no time variation:
-!$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-            DO jk = 1, jpk
-               DO jj = 1, jpj
-                  DO ji = 1, jpi
-                     ahmt(ji,jj,jk) = SQRT( ahmt(ji,jj,jk) )      ! take the square root of the coefficient
-                     ahmf(ji,jj,jk) = SQRT( ahmf(ji,jj,jk) )
-                  END DO
-               END DO
-            END DO
+            ahmt(:,:,:) = SQRT( ahmt(:,:,:) )                     ! take the square root of the coefficient
+            ahmf(:,:,:) = SQRT( ahmf(:,:,:) )
          ENDIF
          !
